Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class TransactionParty2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.TransactionParty2

public class TransactionParty2 extends Object

Java class for TransactionParty2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionParty2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CashAccount16" minOccurs="0"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CashAccount16" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="TradgPty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ProprietaryParty2" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartyIdentification32`
`cdtr`
`protected CashAccount16`
`cdtrAcct`
`protected PartyIdentification32`
`dbtr`
`protected CashAccount16`
`dbtrAcct`
`protected PartyIdentification32`
`initgPty`
`protected List<ProprietaryParty2>`
`prtry`
`protected PartyIdentification32`
`tradgPty`
`protected PartyIdentification32`
`ultmtCdtr`
`protected PartyIdentification32`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`TransactionParty2()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentification32`
`getCdtr()`
Gets the value of the cdtr property.
`CashAccount16`
`getCdtrAcct()`
Gets the value of the cdtrAcct property.
`PartyIdentification32`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccount16`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`PartyIdentification32`
`getInitgPty()`
Gets the value of the initgPty property.
`List<ProprietaryParty2>`
`getPrtry()`
Gets the value of the prtry property.
`PartyIdentification32`
`getTradgPty()`
Gets the value of the tradgPty property.
`PartyIdentification32`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`PartyIdentification32`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setCdtr(PartyIdentification32 value)`
Sets the value of the cdtr property.
`void`
`setCdtrAcct(CashAccount16 value)`
Sets the value of the cdtrAcct property.
`void`
`setDbtr(PartyIdentification32 value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccount16 value)`
Sets the value of the dbtrAcct property.
`void`
`setInitgPty(PartyIdentification32 value)`
Sets the value of the initgPty property.
`void`
`setTradgPty(PartyIdentification32 value)`
Sets the value of the tradgPty property.
`void`
`setUltmtCdtr(PartyIdentification32 value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(PartyIdentification32 value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### initgPty

protected PartyIdentification32 initgPty

### dbtr

protected PartyIdentification32 dbtr

### dbtrAcct

protected CashAccount16 dbtrAcct

### ultmtDbtr

protected PartyIdentification32 ultmtDbtr

### cdtr

protected PartyIdentification32 cdtr

### cdtrAcct

protected CashAccount16 cdtrAcct

### ultmtCdtr

protected PartyIdentification32 ultmtCdtr

### tradgPty

protected PartyIdentification32 tradgPty

### prtry

protected List<ProprietaryParty2> prtry

## Constructor Details

### TransactionParty2

public TransactionParty2()

## Method Details

### getInitgPty

public PartyIdentification32 getInitgPty()
Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentification32`

### setInitgPty

public void setInitgPty(PartyIdentification32 value)
Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

### getDbtr

public PartyIdentification32 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentification32`

### setDbtr

public void setDbtr(PartyIdentification32 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

### getDbtrAcct

public CashAccount16 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount16`

### setDbtrAcct

public void setDbtrAcct(CashAccount16 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount16`

### getUltmtDbtr

public PartyIdentification32 getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentification32`

### setUltmtDbtr

public void setUltmtDbtr(PartyIdentification32 value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

### getCdtr

public PartyIdentification32 getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentification32`

### setCdtr

public void setCdtr(PartyIdentification32 value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

### getCdtrAcct

public CashAccount16 getCdtrAcct()
Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount16`

### setCdtrAcct

public void setCdtrAcct(CashAccount16 value)
Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount16`

### getUltmtCdtr

public PartyIdentification32 getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentification32`

### setUltmtCdtr

public void setUltmtCdtr(PartyIdentification32 value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

### getTradgPty

public PartyIdentification32 getTradgPty()
Gets the value of the tradgPty property.

Returns:
  possible object is `PartyIdentification32`

### setTradgPty

public void setTradgPty(PartyIdentification32 value)
Sets the value of the tradgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

### getPrtry

public List<ProprietaryParty2> getPrtry()
Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryParty2`